// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536


class CfgModels
{
	class Default{};
	class Weapon: Default{};
	class FILOM4A1: Weapon {};

};

class CfgPatches
{
	class FILOM4A1
	{
		units[] = {FILOM4A1Soldier};
		weapons[] = {FILOM4A1};
		requiredVersion = 1.30;
	};
};

class CfgAmmo
{
	class Default {};
	class BulletSingle: Default{};
	class FILOM4A1Bullet: BulletSingle
	{
		hit= 8;
		indirectHit= 1;
		indirectHitRange= 0.40000;
		minRange=0.5;
		minRangeProbab=0.800000;
		midRange=50;
		midRangeProbab=0.350000;
		maxRange=109;
		maxRangeProbab=0.080000;
		visibleFire= 1;
		audibleFire= 1;
		visibleFireTime= 10;
	   tracerColor[]={0,0,0,0};

	};
	class FILOM4A1BulletBurst: FILOM4A1Bullet
	{
		hit= 8;
		indirectHit= 1;
		indirectHitRange= 0.40000;
		minRange=0.5;
		minRangeProbab=0.800000;
		midRange=50;
		midRangeProbab=0.350000;
		maxRange=109;
		maxRangeProbab=0.080000;
		visibleFire= 1.2;
		audibleFire= 1.2;
		visibleFireTime= 10;
	   tracerColor[]={0,0,0,0.100000};

	};
};

class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: Mgun {};
	class M16: Riffle{};
	class FILOM4A1: M16 
	{
		scopeWeapon=2;
		scopeMagazine=0;
		model="\FILOM4SD\M4A1.p3d";
		picture="\FILOM4SD\w_m4.paa";
		displayName="M4A1 Carbine SD";
		magazines[]={"FILOM4A1mag"};
		flash="gunfire";
		reloadMagazineSound[]={"\FILOM4SD\M4A1Reload.wav",0.010316,1};
		flashSize=5;
		initSpeed=938;
		opticsFlare= true;
		modes[]= {"Single","Full"};
		class Single
		{
			ammo="FILOM4A1Bullet";
			multiplier=1;
			burst=1;
			displayName="M4A1";
			dispersion=0.0002000;
			sound[]={"\FILOM4SD\M4A1single.wav",1.000000,1};
			soundContinuous= 0;
			ffCount=1;
			reloadTime=0.100000;
			recoil="FILOM4A1RE";
			autofire=0;
			aiRateOfFire=5.0000;
			aiRateOfFireDistance = 200;
			UseAction=0;
			useActionTitle="";
		};
	
		class Full
		{
			ammo="FILOM4A1BulletBurst";
			multiplier= 1;
			burst= 1;
			displayName= "M4A1 Full Auto";
			dispersion=0.0008000;
			sound[]={"\FILOM4SD\M4A1single.wav",10.000000,1};
			soundContinuous= 0;
			reloadTime= 0.100000;
			ffCount= 3;
			recoil= "FILOM4A1RE";
			autoFire= 1;
			aiRateOfFire= 5.00000;
			aiRateOfFireDistance= 200;
			useAction = 0;
			useActionTitle= "";
		};

	};
	class FILOM4A1mag: FILOM4A1
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="M4A1 Mag";
		shortNameMagazine="M4A1 Mag";
		picture="\FILOM4SD\m_m4.paa";
	};
};
class CfgRecoils
{
	FILOM4A1RE[]= {0.04, 0.015,0.030, 0.040,0,0};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyFILOM4A1: ProxyWeapon {};
};

class CfgVehicles
{
    class All{};
    class AllVehicles:All{};
    class Land:AllVehicles{};
    class Man:Land{};
    class Soldier:Man{};
    class SoldierWB:Soldier{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
    class FILOM4A1Soldier:SoldierWSaboteurDay
{      
      side=TWest;
    displayName="FILO SpecOp M4A1";
    weapons[]={FILOM4A1,Binocular,Throw,Put};
    magazines[]={FILOM4A1mag,FILOM4A1mag,FILOM4A1mag,FILOM4A1mag,FILOM4A1mag};
  }; 

};
